> ## Documentation Index
> Fetch the complete documentation index at: https://developers.simplesell.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a packaging



## OpenAPI

````yaml /api/v1/openapi.yaml get /packagings/{id}
openapi: 3.0.0
info:
  title: SimpleSell API
  description: Welcome to the SimpleSell API.
  version: 1.0.0
servers:
  - url: https://api.simplesell.de/v1
security:
  - BearerAuth: []
paths:
  /packagings/{id}:
    get:
      tags:
        - Packagings
      summary: Retrieve a packaging
      parameters:
        - in: path
          name: id
          description: The packaging ID.
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: The requested packaging.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Packaging'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    Packaging:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        dimensions:
          type: object
          properties:
            length:
              type: string
              description: Length in centimeters.
            width:
              type: string
              description: Width in centimeters.
            height:
              type: string
              description: Height in centimeters.
        weight:
          type: string
          nullable: true
          description: Weight in kilograms.
  responses:
    Unauthorized:
      description: Authentication is required.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    PaymentRequired:
      description: Account requires a subscription or plan upgrade.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    Forbidden:
      description: Access to this resource is not permitted.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    NotFound:
      description: Requested resource cannot be found.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    TooManyRequests:
      description: Request rate limit has been exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Your SimpleSell API token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.